[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTCustomNode.HasKey

Check whether this node matches the given key.

## Declaration

Source position: contnrs.pp line 344

`public function THTCustomNode.HasKey(`
`const AKey: String`
`):Boolean;`

## Arguments

`AKey` |  | Key to check for

## Function result

True if the key matches, False if not.

## Description

HasKey checks whether this node matches the given key AKey, by comparing it with the stored key. It returns True if it does, False if not.

## Errors

None.

## See also

THTCustomNode.Key |  | Key value associated with this hash item.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .